(set-info :origin "NTS benchmark converted to SMT-LIB2 using Eldarica (http://lara.epfl.ch/w/eldarica)")
(set-logic HORN)
(declare-fun inv_gate0 (Int Int Int) Bool)
(declare-fun inv_train0 (Int Int Int) Bool)
(declare-fun inv_gate1 (Int Int Int) Bool)
(declare-fun inv_train2 (Int Int Int) Bool)
(declare-fun inv_train1 (Int Int Int) Bool)
(declare-fun inv_train4 (Int Int Int) Bool)
(declare-fun inv_train3 (Int Int Int) Bool)
(declare-fun inv_gate4 (Int Int Int) Bool)
(declare-fun inv_gate5 (Int Int Int) Bool)
(assert(forall((A Int)(B Int)(C Int))(=>(and true (= C A)) (inv_gate0 A B C))))
(assert(forall((A Int)(B Int)(C Int))(=>(and true (= C A)) (inv_train0 A B C))))
(assert(forall((A Int)(B Int)(C Int)(D Int))(=>(and (and (and true true) (= B 0)) (inv_gate0 A D C)) (inv_gate1 A B C))))
(assert(forall((A Int)(B Int)(C Int))(=>(and (and (>= (- A C) 10) (and true true)) (inv_train2 A B C)) (inv_train1 A B A))))
(assert(forall((A Int)(B Int)(C Int))(=>(and (and (>= (- A C) 7) (and true true)) (inv_train4 A B C)) (inv_train1 A B A))))
(assert(forall((A Int)(B Int)(C Int)(D Int)(E Int)(F Int))(=>(and (and (and (and (not (= B 0)) (and true true)) (= D A)) (inv_gate1 D B C)) (inv_train3 D E F)) (inv_gate4 A B C))))
(assert(forall((A Int)(B Int)(C Int)(D Int)(E Int)(F Int))(=>(and (and (and (and (<= (- A D) 10) (and true true)) (= C A)) (inv_gate5 C B E)) (inv_train2 C F D)) (inv_gate4 A B C))))
(assert(forall((A Int)(B Int)(C Int)(D Int)(E Int)(F Int))(=>(and (and (and (and (= D 0) (and true true)) (= C A)) (inv_gate1 C D E)) (inv_train0 C B F)) (inv_train2 A B C))))
(assert(forall((A Int)(B Int)(C Int)(D Int)(E Int)(F Int))(=>(and (and (and (and true true) (= C A)) (inv_gate4 C D E)) (inv_train0 C B F)) (inv_train2 A B C))))
(assert(forall((A Int)(B Int)(C Int)(D Int)(E Int)(F Int))(=>(and (and (and (and (>= (- C D) 3) (and true true)) (= C A)) (inv_gate4 C E F)) (inv_train1 C B D)) (inv_train0 A B C))))
(assert(forall((A Int)(B Int)(C Int)(D Int)(E Int)(F Int))(=>(and (and (and (and (not (= C 0)) (and true true)) (= D A)) (inv_gate1 D C E)) (inv_train3 D B F)) (inv_train4 A B A))))
(assert(forall((A Int)(B Int)(C Int)(D Int)(E Int)(F Int))(=>(and (and (and (and (<= (- A C) 10) (and true true)) (= D A)) (inv_gate5 D E F)) (inv_train2 D B C)) (inv_train3 A B A))))
(assert(forall((A Int)(B Int)(C Int)(D Int)(E Int)(F Int)(G Int))(=>(and (and (and (and (and (= D 0) (and true true)) (= E A)) (= B (+ D 1))) (inv_gate1 E D C)) (inv_train0 E F G)) (inv_gate4 A B C))))
(assert(forall((A Int)(B Int)(C Int)(D Int)(E Int)(F Int)(G Int))(=>(and (and (and (and (and true true) (= C A)) (= B (+ D 1))) (inv_gate4 C D E)) (inv_train0 C F G)) (inv_gate5 A B A))))
(assert(forall((A Int)(B Int)(C Int)(D Int)(E Int)(F Int)(G Int))(=>(and (and (and (and (and (>= (- D E) 3) (and true true)) (= D A)) (= B (- F 0))) (inv_gate4 D F C)) (inv_train1 D G E)) (inv_gate1 A B C))))
(assert(forall((A Int)(B Int)(C Int)(D Int))(=>(and (and (>= A D) (and true true)) (inv_gate0 D B C)) (inv_gate0 A B C))))
(assert(forall((A Int)(B Int)(C Int)(D Int))(=>(and (and (>= A D) (and true true)) (inv_gate1 D B C)) (inv_gate1 A B C))))
(assert(forall((A Int)(B Int)(C Int)(D Int))(=>(and (and (>= A D) (and true true)) (inv_gate4 D B C)) (inv_gate4 A B C))))
(assert(forall((A Int)(B Int)(C Int)(D Int))(=>(and (and (>= A D) (and true true)) (inv_gate5 D B C)) (inv_gate5 A B C))))
(assert(forall((A Int)(B Int)(C Int)(D Int))(=>(and (and (>= A D) (and true true)) (inv_train0 D B C)) (inv_train0 A B C))))
(assert(forall((A Int)(B Int)(C Int)(D Int)(E Int)(F Int)(G Int))(=>(and (and (and (>= A D) (and (<= (- E F) 20) (and (and (= E A) (= G B)) (= F C)))) (and true true)) (inv_train2 D B C)) (inv_train2 A B C))))
(assert(forall((A Int)(B Int)(C Int)(D Int)(E Int)(F Int)(G Int))(=>(and (and (and (>= A D) (and (<= (- E F) 5) (and (and (= E A) (= G B)) (= F C)))) (and true true)) (inv_train1 D B C)) (inv_train1 A B C))))
(assert(forall((A Int)(B Int)(C Int)(D Int))(=>(and (and (>= A D) (and true true)) (inv_train3 D B C)) (inv_train3 A B C))))
(assert(forall((A Int)(B Int)(C Int)(D Int)(E Int)(F Int)(G Int))(=>(and (and (and (>= A D) (and (<= (- E F) 15) (and (and (= E A) (= G B)) (= F C)))) (and true true)) (inv_train4 D B C)) (inv_train4 A B C))))
(assert(not (exists((A Int)(B Int)(C Int)(D Int)(E Int)(F Int)(G Int)(H Int))(and (and (and (and (and (= A B) (= A B)) (and true (not (= C D)))) (inv_gate0 A E F)) (inv_train1 A C G)) (inv_train1 A D H)))))
(assert(not (exists((A Int)(B Int)(C Int)(D Int)(E Int)(F Int)(G Int)(H Int))(and (and (and (and (and (= A B) (= A B)) (and true (not (= C D)))) (inv_gate1 A E F)) (inv_train1 A C G)) (inv_train1 A D H)))))
(assert(not (exists((A Int)(B Int)(C Int)(D Int)(E Int)(F Int)(G Int)(H Int))(and (and (and (and (and (= A B) (= A B)) (and true (not (= C D)))) (inv_gate4 A E F)) (inv_train1 A C G)) (inv_train1 A D H)))))
(assert(not (exists((A Int)(B Int)(C Int)(D Int)(E Int)(F Int)(G Int)(H Int))(and (and (and (and (and (= A B) (= A B)) (and true (not (= C D)))) (inv_gate5 A E F)) (inv_train1 A C G)) (inv_train1 A D H)))))
(check-sat)
